| Home | Libraries | People | FAQ | More

##### posix::basic_descriptor::native_non_blocking (1 of 3 overloads)

Gets the non-blocking mode of the native descriptor implementation.

    bool native_non_blocking() const;

This function is used to retrieve the non-blocking mode of the underlying native descriptor. This mode has no effect on the behaviour of the descriptor object's synchronous operations.

###### Return Value

`true` if the underlying descriptor is in non-blocking mode and direct system calls may fail with `boost::asio::error::would_block` (or the equivalent system error).

###### Remarks

The current non-blocking mode is cached by the descriptor object. Consequently, the return value may be incorrect if the non-blocking mode was set directly on the native descriptor.